# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: gcc-c++
# END SourceDeps(oneline)
BuildRequires: libnumpy-devel
%define oldname PyMca
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%{echo 


}

Name:		python-module-PyMca
Version:	4.5.0
Release:	alt1_3
Summary:	GUI for multi-channel analyser spectra visualization and analysis
Group:		Engineering
License:	GPLv2+
URL:		http://pymca.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sourceforge/pymca/pymca%{version}-src.tgz
# Desktop file
Source1:	PyMca.desktop

BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	python-module-setuptools
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel

# Needed for normal operations
BuildRequires: python-module-numpy python-module-numpy-addons python-module-numpy-testing
BuildRequires:	python-module-PyQt4
BuildRequires:	python-module-PyQwt
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}.*\.so$

%description
PyMCA provides a graphical interface for multi-channel analyser spectra
visualization and analysis. PyMca can display spectra from a file or directly
from SPEC during acquisitions.

%prep
%setup -q -n %{oldname}%{version}
# Fix perms
chmod 644 LICENSE.GPL README
find -name *.c -exec chmod 644 {} \;
find -name *.h -exec chmod 644 {} \;

# Fix shebang on pymcapostbatch
sed "s|#!python|#!%{_bindir}/python|g" -i PyMca/scripts/pymcapostbatch


%build
# setup.py asks for license approval
echo yes | python setup.py build 

%install
# setup.py asks for license approval
echo yes | python setup.py install -O1 --skip-build --root %{buildroot}

# Install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Get rid of mention of buildroot in files in %{_bindir}
for bin in %{buildroot}%{_bindir}/*; do
 sed 's|%{buildroot}||g' $bin > $bin.new && \
 touch -r $bin $bin.new && \
 mv $bin.new $bin && \
 chmod 755 $bin
done

# Get rid of spurious executable rights
find %{buildroot}%{python_sitelibdir}/PyMca/ -type f -exec chmod 644 {} \;
find %{buildroot}%{python_sitelibdir}/PyMca/ -name *.so -exec chmod 755 {} \;

# Get rid of /usr/bin/env in libraries
for lib in %{buildroot}%{python_sitelibdir}/PyMca/*.py; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%files
%doc LICENSE.GPL README
%{python_sitelibdir}/PyMca/
%{python_sitelibdir}/PyMca-%{version}-py*.egg-info
%{_bindir}/edfviewer
%{_bindir}/elementsinfo
%{_bindir}/mca2edf
%{_bindir}/peakidentifier
%{_bindir}/pymca*
%{_bindir}/rgbcorrelator
%{_datadir}/applications/PyMca.desktop

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 4.5.0-alt1_3
- update to new release by fcimport

* Tue Jan 08 2013 Igor Vlasenko <viy@altlinux.ru> 4.5.0-alt1_2
- initial fc import

